#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_NUPE(void)
{

#if (PRO_NUPE)
   SetTelltalePos("LeftTurn",              LeftTurn);
   SetTelltalePos("RightTurn",            RightTurn);
   SetTelltalePos("ParkingBreak",      ParkingBreak);
   SetTelltalePos("Mdps",                      Mdps);
   SetTelltalePos("OilPressure",        OilPressure);
   SetTelltalePos("SeatBelt",              SeatBelt);
   SetTelltalePos("AirBag",                  AirBag);
   SetTelltalePos("BatteryCharge",    BatteryCharge);
   SetTelltalePos("CheckEngine",        CheckEngine);
   SetTelltalePos("DpfGpf",                  DpfGpf);
   SetTelltalePos("ABS",                        ABS);
   SetTelltalePos("ESC",                        ESC);
   SetTelltalePos("EscOff",                  EscOff);
   SetTelltalePos("MasterSymbol",      MasterSymbol);
   SetTelltalePos("DBCGreen",              DBCGreen);
   SetTelltalePos("DBCYellow",            DBCYellow);
   SetTelltalePos("InteriorLamp",      InteriorLamp);
   SetTelltalePos("HighBeam",              HighBeam);
   SetTelltalePos("LowBeam",                LowBeam);  
   SetTelltalePos("HBAGreen",              HBAGreen);
   SetTelltalePos("TailLamp",              TailLamp);
   SetTelltalePos("RearFog",                RearFog);
   SetTelltalePos("FcaYellow",            FcaYellow);
   SetTelltalePos("Immobilizer",        Immobilizer);
   SetTelltalePos("Tpms",                      Tpms);
   SetTelltalePos("AutoHoldYellow",  AutoHoldYellow);
   SetTelltalePos("AutoHoldGreen",    AutoHoldGreen);
   SetTelltalePos("AutoHoldWhite",    AutoHoldWhite);
   SetTelltalePos("EPB",                        EPB); 
   SetTelltalePos("ISG Green",             IsgGreen);
   SetTelltalePos("ISG Yellow",           IsgYellow);
   SetTelltalePos("AllLedOpen",          AllLedOpen);
   SetTelltalePos("LowFuel",          DMS_RestoreDefault);
#endif
}


